#ifndef	INC_MI32_ERRCODES_H
#define	INC_MI32_ERRCODES_H

// \if NODOC
// Program-generated file, do not edit.

#define	EUserCancel -1000	//!< Operation cancelled by user
#define	EOutOfMemory -1001	//!< Not enough RAM or virtual memory available to complete requested action
#define	ELibraryCorrupt -1002	//!< Library '$1' is corrupt.  File may have been
#define	EDevVersionExpired -1003	//!< This development version has expired.
#define	EWindowTooBig -1006	//!< Specified window is too large for display device
#define	EUserQuotaEx -1009	//!< User filesystem quota exceeded, contact System Administrator
#define	EProcMaxSizeEx -1010	//!< Process maximum file size exceeded, contact System Administrator
#define	EBadPermission -1011	//!< No access permitted for file:
#define	EDevNotSupport -1012	//!< Operation not supported on selected device
#define	EConnTimedOut -1013	//!< Network connection timed out, contact System Administrator
#define	ETooManyFiles -1014	//!< Too many files created on:
#define	EOutOfMemoryS -1015	//!< Not enough RAM or virtual memory available to allocate $1 bytes
#define	EOutOfMemoryRun -1018	//!< Not enough RAM or virtual memory available to start "$1".
#define	ENoSocketLibrary -1023	//!< Socket library failed to initialize or does not exist
#define	EAssocAppNotSet -1024	//!< No associated application set for file:
#define	EAssocAppMissing -1025	//!< Missing associated application for file:
#define	EAssocAppNotInst -1027	//!< You don't have the necessary application
#define	EBadEnableCode -1056	//!< Option enable code is invalid.
#define	EDepthLessThan16Bit -1060	//!< Display depth must be at least 16-bit to run this application.
#define	EMemAllocTooLarge -1061	//!< Memory allocation of $1 bytes is too large.
#define	ECantMakeFile -1101	//!< Unable to create file:
#define	EFileNotFound -1102	//!< Specified file does not exist:
#define	ETooManyOpen -1103	//!< Too many open files
#define	ECantOpenFile -1104	//!< Unable to open file:
#define	EDiskFull -1105	//!< Out of space on storage device
#define	EDiskWriteErr -1106	//!< Error occurred while writing, storage device may be full
#define	EDiskReadErr -1107	//!< Error occurred while reading, file may be invalid
#define	EDiskSeekErr -1108	//!< Error occurred during seek operation, file may be invalid
#define	EFileReadFailedAtPos -1109	//!< File reading failed at offset $1
#define	ECantMakeTemp -1110	//!< Unable to create temporary file, may be out of space
#define	ECantRenameFile -1111	//!< Unable to rename file:
#define	EBadHandleReadOnly -1112	//!< Specified file handle is invalid or
#define	ENoFilename -1113	//!< No file name specified, string is empty
#define	ECantDeleteFile -1114	//!< Unable to delete file:
#define	EDiskIOErr -1115	//!< Error occurred during file operation, contact System Administrator
#define	ECantMoveToDrive -1116	//!< Unable to move file across separate drives
#define	EDirExists -1117	//!< Directory already exists, cannot create directory:
#define	EBadHandle -1118	//!< Invalid file handle: ($1)
#define	ECantMakDirFileExst -1119	//!< Cannot create directory:
#define	EDiskReadShort -1122	//!< Attempt to read $1 bytes failed, $2 bytes read
#define	ECantResizeFile -1123	//!< Attempt to resize file to $1 bytes failed.
#define	EDriveNotFound -1125	//!< Specified drive / volume does not exist:
#define	E2GigLimitOnFile -1126	//!< System cannot handle files larger than 2 gigabytes
#define	EGeoFileNotFound -1127	//!< Corresponding georeference file does not exist:
#define	EFileNotFoundExe -1128	//!< Unable to locate executable process:
#define	EFileNotOpen -1130	//!< File has not yet been opened
#define	ENetworkDown -1131	//!< Network connection has been lost, contact System Administrator
#define	EDiskReadAmt -1132	//!< Error occurred attempting to read $1 bytes.
#define	EDiskSeekAmtMode -1133	//!< Error seeking in file, offset = $1, mode = $2.
#define	EDiskWriteAmt -1134	//!< Error occurred attempting to write $1 bytes.
#define	ECantDeleteFolder -1135	//!< Unable to delete folder:
#define	ECantShareFile -1136	//!< Unable to share access to file:
#define	ENetCantBrowseServers -1137	//!< Unable to browse for network servers, check connections and security settings.
#define	ECantPerformOnZip -1138	//!< Unable to perform operation on zipped file.
#define	ECantMakeFileIsOpen -1139	//!< File '$1'
#define	EZipLimits -1140	//!< Unable to add file, exceeds zip limits.
#define	ELCS_BingExpired -1142	//!< The license to use Bing Maps content in this product was purchased by MicroImages from Microsoft, Inc.
#define	ELCS_TooManyKeys -1143	//!< Too many license keys currently connected.
#define	ELCS_SessionInterrupted -1144	//!< Remote license session interrupted.  Contact with
#define	ELCS_MaxUsersExceeded -1145	//!< Maximum number of concurrent users exceeded.
#define	ELCS_NoMatchHostType -1146	//!< Host type does not match type specified in license key record.
#define	ELCS_BadRecord -1147	//!< License key record invalid
#define	ELCS_NoMatchHostId -1148	//!< No matching host ID found for license key record.
#define	ELCS_RemoteNotPermitted -1149	//!< Remote operation not permitted for this license
#define	ELCS_SrcNotConn -1153	//!< License source is not connected
#define	ELCS_FeatNotSupp -1154	//!< License source does not support specified feature
#define	ELCS_FeatExpired -1155	//!< License feature has expired
#define	ELCS_FeatDisallow -1156	//!< Feature is not allowed by this license
#define	ELCS_NotMinLevel -1157	//!< Minimum required feature level or version not allowed by this license
#define	ELCS_NotAcquired -1158	//!< License has not been acquired for this feature
#define	ELCS_CantFindKey -1159	//!< Unable to locate license key on any port
#define	ELCS_KeyChanged -1173	//!< License key has changed since application was started.
#define	ELCS_HASPNotFound -1174	//!< Unable to locate HASP key on local port or network
#define	ELCS_HASPDvrNotInst -1175	//!< HASP device driver has not been installed
#define	ELCS_HASPError -1176	//!< HASP key error $1, contact MicroImages
#define	ELCS_SrcTypeNotSupp -1178	//!< Specified license source type not supported on this platform
#define	ELCS_BadSerialNum -1188	//!< License serial number ($1) is invalid or key is damaged
#define	ELCS_KeyUsedFloat -1190	//!< Key is apparently being used by floating license manager.
#define	ELCS_KeyBadOrDamaged -1198	//!< License key invalid or damaged.
#define	ELCS_HASPDvrOld -1199	//!< HASP device driver is old, install updated driver.
#define	EWindowsError -1200	//!< Error occurred in Windows function
#define	EOptionNotDone -1201	//!< Option has not been implemented yet
#define	EOptNotAvail -1202	//!< Option not available on this system
#define	EProgramError -1204	//!< Program error, operation aborted
#define	EBadOption -1205	//!< Invalid option for application program
#define	EProgramOld -1206	//!< Program is too outdated to perform operation, get new version
#define	ECantExecPgm -1207	//!< Unable to execute specified program, .EXE file may be bad
#define	EReadIntoNULL -1208	//!< Attempting to read data into NULL buffer
#define	EWriteFromNULL -1209	//!< Attempting to write data from NULL buffer
#define	EBadFuncParm -1213	//!< Invalid parameter(s) used for library function
#define	EBadProjParms -1215	//!< Map projection parameters are invalid or out of range
#define	EFuncNotInited -1223	//!< Initialization has not been performed for library function
#define	ESkipRequest -1226	//!< Request to skip was not processed
#define	EOnlyOneLayer -1227	//!< Only a single layer is allowed in specified group
#define	EBadDialogHnd -1228	//!< Invalid dialog handle specified
#define	EUserDataConflict -1232	//!< Conflicting use of userData resource
#define	ECantInitRPCModel -1234	//!< Unable to initialize rational polynomial model.
#define	EProcessNotStart -1235	//!< Process did not start after timeout
#define	EHostNotFound -1236	//!< Host '$1' not found
#define	ECacheItemsExhausted -1237	//!< The list of cache items has been exhausted, contact MicroImages
#define	EInvalidCacheResize -1238	//!< The cache is being resized while in use, contact MicroImages
#define	EXNumberOutOfRange0toN -1239	//!< $1 number out of range <0 - $2>
#define	EIndexXOutOfRange0toN -1240	//!< Index ($1) out of range <0 - $2>
#define	ESystemError -1299	//!< Error occurred in Operating System function
#define	EXSCantMakePixmap -1301	//!< X Server unable to create pixmap ($1 x $2 x $3-bit), probably out of memory
#define	ESPATREF_DefInvalid -1401	//!< Spatial reference definition file (spatref.xml) is invalid.
#define	ESPATREF_EllipsoidIdInvalid -1402	//!< Invalid ellipsoid ID ($1) specified.
#define	ESPATREF_PrimeMeridianIdInvalid -1403	//!< Invalid prime meridian ID ($1) specified.
#define	ESPATREF_CoordAxisIdInvalid -1404	//!< Invalid coordinate axis ID ($1) specified.
#define	ESPATREF_CoordSysIdInvalid -1405	//!< Invalid coordinate system ID ($1) specified.
#define	ESPATREF_CoordRefSysIdInvalid -1406	//!< Invalid coordinate reference system ID ($1) specified.
#define	ESPATREF_DatumIdInvalid -1407	//!< Invalid datum ID ($1) specified.
#define	ESPATREF_CoordOpMethodIdInvalid -1408	//!< Invalid coordinate operation method ID ($1) specified.
#define	ESPATREF_CoordOpParmIdInvalid -1409	//!< Invalid coordinate operation parameter ID ($1) specified.
#define	ESPATREF_CoordOpIdInvalid -1410	//!< Invalid coordinate operation ID ($1) specified.
#define	ESPATREF_MissingTextResource -1411	//!< Text resource referenced by spatial reference system definition file is missing.
#define	ESPATREF_ParmValueTypeMismatch -1412	//!< Parameter value type does not match definition.
#define	ESPATREF_ParmUnitTypeMismatch -1413	//!< Parameter unit type does not match definition.
#define	ESPATREF_MultipleMicroImagesIds -1414	//!< Spatial reference database entry has multiple MicroImages IDs.
#define	ESPATREF_BadAssignXML -1416	//!< XML definition for spatial reference element is invalid.
#define	ESPATREF_ParmValueNotSet -1417	//!< No value set for $1 parameter.
#define	ESPATREF_MethodNotImplemented -1418	//!< Coordinate operation method $1 invalid or not implemented.
#define	ESPATREF_CoordRefSysMismatch -1419	//!< Coordinate reference systems do not match.
#define	ESPATREF_CantDetermineCoordOpPath -1420	//!< Cannot determine operation path for coordinate reference system conversion.
#define	ESPATREF_CoordRefSysUndefined -1421	//!< Specified coordinate reference system is undefined.
#define	ESPATREF_CoordRefSysInvalid -1422	//!< Coordinate Reference System definition is invalid.
#define	ESPATREF_CantImportCRS -1423	//!< Unable to import Coordinate Reference System definition.
#define	ESPATREF_BadSavedCRS -1424	//!< Saved coordinate reference system file is damaged or invalid.
#define	ESPATREF_IdNumAlreadyUsed -1425	//!< Spatial Reference item ID ($1) already used.
#define	ERasterAllZero -1501	//!< All raster cell values are identical
#define	ELocaleCodeBad -1502	//!< Invalid locale code
#define	EBufferTooSmall -1503	//!< Specified buffer size is too small
#define	ENoValidSamplesForStats -1504	//!< No valid samples specified for computing statistics
#define	EValueOutOfRange -1505	//!< Specified value is outside valid range
#define	EDivByZero -1508	//!< Operation would result in division-by-zero or divide overflow
#define	EOnly8BitRast -1509	//!< Only 8-bit rasters may be used for this operation
#define	ECantDoMapProj -1510	//!< Source point for map projection transformation out of range
#define	EBadPolylineDef -1511	//!< Polyline/polygon definition is invalid
#define	EBadRegionDef -1512	//!< Region definition is invalid
#define	ENoDataInRange -1513	//!< No data in selected input range, adjust limits
#define	ECantSolveLin -1517	//!< Unable to solve system of linear equations
#define	EBadFileFormat -1518	//!< File is invalid or format is not supported
#define	ECyclicBlock -1521	//!< Cyclic block insertion detected, CAD object invalid
#define	ECantFindStyle -1522	//!< Unable to locate specified style object
#define	ENeedSameSizeR -1524	//!< All rasters selected must have the same dimensions
#define	EBadDbfDef -1525	//!< Invalid database field definition file
#define	EBadPath -1526	//!< Specified path or filename is invalid or does not exist:
#define	EEndOfFile -1527	//!< Premature end of file reached
#define	ENotPointData -1528	//!< CAD data does not appear to be point data
#define	EBadMOSSFile -1529	//!< This file does not contain valid MOSS data
#define	EExtentsOutsideObj -1531	//!< Specified extents are completely outside selected object
#define	ENoOverlapReference -1532	//!< Selected reference object does not overlap input object
#define	EBadSeeAlso -1533	//!< See Also reference $1 does not exist
#define	EAllSelCellsNull -1534	//!< All raster cells in selected area are NULL
#define	ENoTrendData -1538	//!< No trend removal information for specified raster
#define	EMatNotSameSize -1541	//!< Matrices must be the same size for this operation
#define	EMatNotCompatMult -1542	//!< Matrices are not compatible for multiplication
#define	EMatNotSquare -1543	//!< Matrix must be square for this operation
#define	EMatZero -1544	//!< Matrix is entirely zero
#define	EMatInvNonConverge -1545	//!< Inverse is non-converging, possible zero determinant
#define	EMatCopyNonSymToSym -1546	//!< Cannot copy non-symmetric matrix to symmetric matrix
#define	EAllRasterCellsNull -1552	//!< All cells in selected raster are null
#define	ERegionOutsideObj -1553	//!< Region is completely outside specified object
#define	WNoCopyFileOverSelf -1554	//!< File cannot be copied over itself.
#define	ETransPointOutBound -1555	//!< Unable to transform point outside previously defined boundary
#define	ENoValueAtColumn -1556	//!< No value at column $1
#define	WNoTextEntered -1557	//!< No text has been entered, please enter text before continuing.
#define	WTIFFGeoNone -1558	//!< No georeference information available in TIFF file
#define	ETIFFGeoTooNew -1559	//!< GeoTIFF version is too new, contact MicroImages
#define	ETIFFGeoBad -1560	//!< GeoTIFF information is invalid
#define	ETIFFGeoNoKeyForParm -1562	//!< No GeoKey defined for '$1' parameter, contact MicroImages.
#define	EBadAtlasFile -1563	//!< Invalid TNTatlas "atlas" file
#define	EBadLayoutFileObj -1565	//!< Invalid "layout" file or object
#define	EBadInputData -1568	//!< Invalid input data or parameters
#define	ENeedSameTypeR -1569	//!< Specified rasters must be the same type
#define	ENoVectorPoints -1572	//!< No points in vector object
#define	EBadZoneMGRS -1575	//!< Invalid zone for Military Grid Reference System
#define	EBadCoordMGRS -1576	//!< Invalid coordinate for Military Grid Reference System
#define	EOnly24BitRast -1577	//!< Only 24-bit RGB rasters may be used for this operation
#define	EBadTempFileDirs -1578	//!< Invalid characters or missing temporary file directory locations
#define	ECantFindPlaceResumeJob -1580	//!< Cannot determine place for resuming job.
#define	EPortInvalidName -1582	//!< Invalid or unknown port name '$1' specified
#define	EPaletteFileInvalid -1584	//!< Color palette file is invalid, contains unknown XML element.
#define	EMosaicLayoutBad -1585	//!< Mosaic layout is invalid and cannot be opened
#define	EInvalidLabelHeight -1586	//!< Label height of $1 is not a valid label height
#define	EMsgFileInvalid -1587	//!< Specified message file is invalid
#define	ETextResFileBad -1588	//!< Text resource file is invalid
#define	ETextResFileNotCert -1589	//!< Localized text resources have not been certified.
#define	EInvalidDate -1590	//!< Invalid date or time specified in input
#define	EInRasterNotFound -1591	//!< Invalid input raster specified in Array file.
#define	ETIFFUnsupportedPhotometric -1592	//!< Unsupported photometric type
#define	WKMLNotGeographic -1594	//!< Imagery selected for export contains nongeographic Coordinate Reference System.
#define	ENoTileGeoref -1595	//!< Raster tiles not georeferenced
#define	EMosaicLayoutVersion -1596	//!< Mosaic layout cannot be used in this version, use in version it was created for.
#define	EContentTypeUnknownOrUnsupported -1597	//!< Content type is unknown or unsupported
#define	ENoSpecifiedCRS_Choose -1598	//!< No CRS specified, choose from list provided.
#define	EPolygonInvalid -1599	//!< Specified polygon is invalid.
#define	EPrecisionTooLarge -1600	//!< Specified precision of $1 is too large for data range
#define	ETooFewCtrlPtsInOverlapArea -1601	//!< Too few control points in overlap area.
#define	ECompressedSetBad -1602	//!< Data for compressed item set is invalid
#define	ENoPointsFoundToImport -1603	//!< No points found to import
#define	EPolygonCantDecomposeToTri -1604	//!< Unable to decompose polygon into triangles.
#define	ENoElementsExistToSave -1605	//!< No elements exist to save.
#define	ERecordTooLarge -1606	//!< Record is too large.
#define	ETransPiecewiseUndefined -1607	//!< Piecewise transformation is undefined or invalid.
#define	EOGCURN_BadDefStr -1700	//!< OGC Universal Resource Name is invalid or unrecognized
#define	EOGCURN_NoKnownID -1701	//!< No known ID available for conversion to OGC Universal Resource Name
#define	EID_CodespaceInvalidXML -1711	//!< Identifier contains invalid codespace name in XML file
#define	EID_CodeMissingXML -1712	//!< Identifier missing code value in XML file
#define	EID_CodespaceInvalid -1713	//!< Invalid identifier codespace specified
#define	EHARN_InvalidFormat -1720	//!< HARN File '$1'
#define	EHARN_BadVersion -1721	//!< HARN File version $1 is not supported.
#define	EOGCWKT_ParseError -1730	//!< Unable to parse OGC WKT string
#define	EOGCWKT_UnexpectedEnd -1731	//!< Unexpected end of OGC WKT string occurred
#define	EOGCWKT_ExpectedKeyword -1732	//!< Expected keyword at position $1 in OGC WKT string
#define	EOGCWKT_ExpectedLeftBracket -1733	//!< Expected '[' at position $1 in OGC WKT string
#define	EOGCWKT_ExpectedRightBracket -1734	//!< Expected ']' at position $1 in OGC WKT string
#define	EOGCWKT_ExpectedString -1735	//!< Expected string at position $1 in OGC WKT string
#define	EOGCWKT_ExpectedNumber -1736	//!< Expected number at position $1 in OGC WKT string
#define	EOGCWKT_UnknownKeyword -1737	//!< Unknown keyword '$1' at position $2 in OGC WKT string
#define	EOGCWKT_UnexpectedKeyword -1738	//!< Unexpected keyword at position $1 in OGC WKT string
#define	EOGCWKT_InvalidParmForProj -1739	//!< Invalid parameter '$1' for projection '$2' in OGC WKT string
#define	EOGCWKT_UnknownProjection -1740	//!< Unknown projection '$1' in OGC WKT string
#define	EOGCWKT_UnsupportedProj -1741	//!< Projection not supported for conversion to OGC WKT string
#define	EISO8211BadFile -1750	//!< File is not ISO 8211 compatible or format is not supported
#define	EISO8211ReadPastEnd -1751	//!< Attempt to read past end of ISO 8211 data record
#define	EISO8211BadFieldNum -1752	//!< Invalid field number specified for current ISO 8211 data record
#define	EHDF4_FileNotHDF -1770	//!< File '$1' is not
#define	EHDF4_CantOpenFile -1771	//!< Unable to open HDF file:
#define	EHDF4_Error -1772	//!< HDF read error occurred
#define	EHDF4_BadIndex -1773	//!< Invalid index ($1) specified
#define	EOpNotAvailableInApp -1801	//!< Operation is not available in this application.
#define	EUserCancelStep -1804	//!< Step cancelled by user
#define	ENameInUse -1805	//!< Specified name is already used
#define	WWinTabDisabled -1806	//!< Wintab support has been disabled by user or administrator
#define	WImportHasLog -1809	//!< A warning was logged during import
#define	WExportHasLog -1810	//!< A warning was logged during export
#define	EGeneric_CantAddXtoY -1850	//!< $1: Can't add '$2' to '$3'
#define	ECantFindRefName -1901	//!< Unable to locate reference file '$1'
#define	EUOM_DefInvalid -1902	//!< Unit of Measure definition file (unitofmeasure.xml) is invalid.
#define	EBadRefFile -1904	//!< Reference file '$1' is invalid or damaged.
#define	ENoNADCONV -1918	//!< NAD-27/83 conversion file (NADCONV.REF) does not exist
#define	ENoToolBarProcFile -1927	//!< Unable to open toolbar process reference file (tntproc.txt)
#define	EXMLParseError -1931	//!< Invalid XML syntax reading file '$1'.
#define	EXML_MissingItem -1932	//!< Required XML item missing.
#define	EXML_ValueOutOfRange -1933	//!< Value from XML file out of range.
#define	EKML_BadContent -1950	//!< Invalid content in KML file.
#define	EKML_MissingXforX -1951	//!< KML missing '$1' for '$2'.
#define	EKML_UnsupportedContent -1952	//!< Unsupported content in KML file.
#define	EKML_SharedStyleNotFound -1953	//!< Expected shared style was not found.
#define	EGenericMessage -1999	//!< $1
#define	R_FileReadPastEnd -2001	//!< Attempt to read past end of the file
#define	R_CantMakeFile -2002	//!< Unable to create Raster/Vector file
#define	R_MinTNTVersion -2003	//!< TNT product version $2 or later required to access project file
#define	R_InvalidAccessControlList -2005	//!< Invalid access control list, contact MicroImages
#define	R_UserCannotAccess -2006	//!< User '$1' does not have '$2' permission to complete the requested operation
#define	R_NotEnoughTempSpc -2007	//!< Not enough space exists on storage device for temporary files,
#define	R_BadLine -2008	//!< Line number out of range
#define	R_BadConversionMode -2009	//!< Illegal raster conversion mode specified
#define	R_UserCannotAccessWithOwner -2010	//!< User '$1' does not have '$2' permission to complete the requested operation.
#define	R_BadOperation -2011	//!< Illegal operation on specified object
#define	R_ObjNoExist -2012	//!< Specified object '$1' does not exist
#define	R_ObjTypedNoExistInFile -2013	//!< $1 object '$2' does not exist
#define	R_BadObjectID -2015	//!< Illegal object ID
#define	R_BadRastInfo -2016	//!< Data in RASTINFO structure invalid
#define	R_StyleTableUsageMismatch -2017	//!< Style table usage does not match specified style type.
#define	R_BadHyperLinkNum -2018	//!< Hyperindex link number ($1) out of range <0 - $2>
#define	R_BadHyperShapeNum -2019	//!< Hyperindex shape number ($1) out of range <0 - $2>
#define	R_NewRequest -2026	//!< New object request not processed
#define	R_NoRegistInfo -2027	//!< No georeference information available
#define	R_BadInode -2030	//!< Illegal Inode number specified: ($1)
#define	R_ProgramError -2031	//!< Internal RVC program error
#define	R_SkipRequest -2035	//!< Request to skip was not processed
#define	R_BadObjType -2036	//!< Illegal object type specified
#define	R_NoObjsOfType -2040	//!< No objects of the proper type are available for selection
#define	R_BadPoly -2042	//!< Illegal vector polygon number specified
#define	R_ReadPastEnd -2045	//!< Attempt to read past the end of data area
#define	R_NoDBaseFile -2051	//!< External database file does not exist or could not be opened:
#define	R_ExtNotDB3 -2052	//!< File is not a recognized dBASE format
#define	R_BadDBRecord -2053	//!< Invalid database record number
#define	R_BadExtDbase -2054	//!< External database file is invalid
#define	R_NoDBFields -2055	//!< No fields in external database
#define	R_DBaseFmtChg -2059	//!< External database structure has changed
#define	R_BadVector -2060	//!< Vector data contains errors...
#define	R_BadListItem -2067	//!< List item number ($1) out of range <0 - $2>
#define	R_BadPolyTopo -2068	//!< Vector polygon topology incorrect, no common node between lines
#define	R_FileReadOnly -2069	//!< File "$1"
#define	R_BadBlockItem -2070	//!< Invalid block number referenced in CAD object
#define	R_BadElemHdr -2071	//!< Invalid element header data in CAD object
#define	R_BadCADType -2072	//!< Invalid CAD element type
#define	R_BadOptType -2073	//!< Invalid optional data information in CAD object
#define	R_BadRastType -2075	//!< Raster data type not usable for this process
#define	R_WritePastEnd -2078	//!< Attempt to write past the end of data area
#define	R_DeleteOpen -2079	//!< Specified object is in use, cannot delete
#define	R_NoTable -2080	//!< Specified table not defined
#define	R_DataMissing -2081	//!< Part of a composite object is missing
#define	R_NoField -2082	//!< Invalid field number
#define	R_NoIndex -2084	//!< No index for field
#define	R_BadStyleType -2085	//!< Invalid style type
#define	R_BadPattType -2086	//!< Invalid pattern type
#define	R_BadStyleNum -2087	//!< Invalid style index
#define	R_DupStyleName -2088	//!< Duplicate style name found
#define	R_DupPattName -2089	//!< Duplicate pattern name
#define	R_BadStyleName -2091	//!< Invalid style name
#define	R_BadPattName -2092	//!< Invalid symbol/pattern name
#define	R_BadObjName -2093	//!< Invalid object name
#define	R_MfNotInit -2094	//!< MfInit() has not been performed
#define	R_BadLabelNum -2095	//!< Vector label number ($1) out of range <0 - $2>
#define	R_BadLeaderNum -2096	//!< Invalid leader number specified
#define	R_WriteInvalid -2097	//!< Attempting to write to read-only object
#define	R_BadFHandle -2101	//!< Invalid RVC file handle
#define	R_NoHDRDESC -2102	//!< Reference file HDRDESC.REF does not exist
#define	R_NotRVCFile -2103	//!< Specified file is not a valid RVC file
#define	R_NotEnoughSpc -2105	//!< Not enough space on storage device,
#define	R_BadVersion -2106	//!< Program cannot read this version of RVC file, obtain updated program
#define	R_BadRBASEFile -2107	//!< Specified R:BASE file is invalid
#define	R_BadHDRDESC -2108	//!< Invalid information in HDRDESC.REF file
#define	R_NoDatabase -2109	//!< No database objects available
#define	R_BadRastLin -2110	//!< Raster line number ($1) out of range <0 - $2>
#define	R_BadRastCol -2111	//!< Raster column number ($1) out of range <0 - $2>
#define	R_BadRastLen -2112	//!< Length ($1) for raster read/write out of range <1 - $2>
#define	R_BadRastColConv -2113	//!< Column ($1) for raster read/write invalid for "no conversion" mode
#define	R_BadRastLenConv -2114	//!< Length for raster read/write invalid for "no conversion" mode
#define	R_RastLinkNotFound -2115	//!< Specified raster link file does not exist
#define	R_CantGetReadLock -2116	//!< Unable to establish read lock on file:
#define	R_CantGetWriteLock -2117	//!< Unable to establish write lock on file:
#define	R_CantUnlockFile -2118	//!< Unable to unlock file:
#define	R_BadVectLineNum -2119	//!< Vector line number ($1) out of range <0 - $2>
#define	R_BadVectPointNum -2120	//!< Vector point number ($1) out of range <0 - $2>
#define	R_BadVectPolyNum -2121	//!< Vector polygon number ($1) out of range <0 - $2>
#define	R_BadVectNodeNum -2122	//!< Vector node number ($1) out of range <0 - $2>
#define	R_TableNotFound -2125	//!< Specified table not defined:
#define	R_FieldNotFound -2126	//!< Specified field not defined:
#define	R_CantMakeLockFile -2129	//!< Unable to create lock file due to invalid access:
#define	R_NoTables -2130	//!< No tables in database available for selection
#define	R_ObjectNotUsable -2131	//!< Object not usable for this operation
#define	R_BadTINEdgeNum -2132	//!< TIN edge number ($1) out of range <0 - $2>
#define	R_BadTINHullNum -2133	//!< TIN hull number ($1) out of range <0 - $2>
#define	R_BadTINTriangleNum -2134	//!< TIN triangle number ($1) out of range <0 - $2>
#define	R_BadTINNodeNum -2135	//!< TIN node number ($1) out of range <0 - $2>
#define	R_CantOpenLink -2136	//!< Cannot open link to RVC object
#define	R_CantPackLocked -2138	//!< File is being accessed, cannot pack
#define	R_TransferError -2139	//!< File was incorrectly transfered using ASCII mode, the RVC file is unusable.
#define	R_BadHeaderSize -2140	//!< Invalid RVC object header size found, the file is corrupted
#define	R_ObjectNotFound -2142	//!< Unable to locate object:
#define	R_CADLinkNotFound -2143	//!< Specified CAD object link file does not exist
#define	R_BadCADLinkType -2144	//!< Specified object link type not usable in this process
#define	R_NoRecordsInTable -2146	//!< No records in specified database table
#define	R_BadTableName1 -2147	//!< Table name conflicts with the name of another table
#define	R_BadTableName2 -2148	//!< Table name conflicts with the name of an existing field
#define	R_ODBCError -2151	//!< ODBC Error "$1"
#define	R_RecordDeleted -2153	//!< Record has been deleted from the table
#define	R_NoMoreData -2154	//!< End of table reached
#define	R_BadObjVersion -2157	//!< Program cannot read this version of the RVC object, obtain updated program
#define	R_ODBCTableExists -2158	//!< Table '$1' already exists in this database
#define	R_GeorefMissing -2160	//!< Georeference object has been deleted or is missing
#define	R_ThemeDataInvalid -2161	//!< Theme map object is invalid
#define	R_BadParentInode -2162	//!< Illegal Parent Inode number specified: ($1)
#define	R_BadSpectRecNum -2164	//!< Spectral record number ($1) out of range <0 - $2>
#define	R_BadFontIndex -2165	//!< Font index ($1) out of range <0 - $2>
#define	R_HasNoGeoreference -2166	//!< RVC object has no georeference
#define	R_AllRastCellsNull -2167	//!< All cells in raster are null
#define	R_HasNoAttributes -2168	//!< Source Raster has no attributes
#define	R_FieldNotKey -2169	//!< Field "$1" is not a key field
#define	R_ObjectSizeLimit -2170	//!< RVC object size limit reached, cannot complete request
#define	R_SystemSizeLimit -2171	//!< Operating system file size limit reached, cannot complete request
#define	R_TextLinkNotFound -2176	//!< Specified text link file does not exist
#define	R_ODBCBadSource -2177	//!< Specified ODBC driver does not support enough of
#define	R_ODBCNULLSource -2178	//!< Selected ODBC source does not point to anything.
#define	R_BadObject -2179	//!< Object has internal error, try Recover Project File.
#define	R_BadCADElemNum -2182	//!< CAD element number ($1) out of range <$2 - $3>
#define	R_BadShapeElemNum -2183	//!< Shape element number ($1) out of range <0 - $2>
#define	R_NoRecordsAttachedToElemNum -2184	//!< No records attached to element $1
#define	R_BadObjectInFileX -2185	//!< Object '$1' in file
#define	R_STreeNoElemsOfTyp -2283	//!< No elements of type $1 in spatial search tree
#define	R_STreeMaxElemTypes -2284	//!< Spatial search tree already contains maximum allowed number of element types
#define	R_STreeBadTier -2285	//!< Spatial search tree tier $1 out of range <0 - $2>
#define	R_STreeBadNodeElems -2286	//!< Node element array entries not in ascending sequence
#define	R_NotAttached -2287	//!< (Internal) Object instance is not attached
#define	R_BadParent -2288	//!< Invalid parent object ($1) for creating sub object ($2)
#define	R_BadTableInfo -2290	//!< Information in the database table is invalid
#define	R_InvalidAccess -2291	//!< Previously set usage restrictions do not allow specified operation on file:
#define	R_InvalidLinkInfo -2292	//!< External file link information is invalid
#define	R_FileNotLinkable -2294	//!< Cannot auto-link to file:
#define	R_NotRVCOrLinkable -2295	//!< File is not RVC or supported format
#define	R_FileNotLinked -2296	//!< Unable to locate RVC link file for file:
#define	R_ObjNoExistInFile -2297	//!< Specified object '$1' does not exist
#define	R_LinkNoMatchHeader -2298	//!< Link file does not match data in RVC file.
#define	R_NoTableExt -2299	//!< Specified table ($1) not defined from database object: $2
#define	R_NoODBCLibrary -2300	//!< No ODBC capabilities exist on this platform.
#define	R_OldODBCDriver -2301	//!< The ODBC driver is too old to use with MicroImages products.
#define	R_BadAccessList -2302	//!< Access list is corrupted in file:
#define	R_AccessNoWrite -2303	//!< Previously set usage restrictions do not allow modification of file:
#define	R_CantFindLinked -2304	//!< Unable to locate linked object from
#define	R_BadLinkType -2305	//!< Invalid or unsupported link to non-RVC file
#define	R_StyleAlignedBad -2306	//!< Style object has incorrectly aligned pattern elements, cannot use on this platform.
#define	R_SingletonExists -2307	//!< Only one object of the type '$1' can exist under the parent object
#define	R_BadCtrlPointNum -2308	//!< Georeference control point number ($1) out of range <0 - $2>
#define	R_BadCtrlPointEdgeNum -2309	//!< Georeference control point edge number ($1) out of range <0 - $2>
#define	R_BadParentCopy -2310	//!< Invalid parent object ($1) for creating sub object ($2).  Remove sub object ($3) before copying or packing
#define	R_BadLinkPlatform -2311	//!< This platform does not support the type of link specified in the link information.
#define	R_BadBoundaryEdgeNum -2312	//!< Georeference boundary number ($1) out of range <0 - $2>
#define	R_IllegalObjectOpen -2313	//!< Unable to open damaged object ($1), contact MicroImages
#define	R_IllegalFileOpen -2314	//!< Unable to open damaged file, contact MicroImages
#define	R_DeletedCADElement -2315	//!< CAD Element ($1) is marked as deleted
#define	R_DGNToolkitException -2316	//!< DGN Toolkit error
#define	R_BadContrastTable -2317	//!< Contrast table object is invalid
#define	R_HasNoGeoreferenceForPhotogrammetry -2318	//!< RVC object has no proper georeference.
#define	R_DWGToolkitException -2319	//!< DWG Toolkit exception ($1)
#define	R_OLEDBNoAccess -2320	//!< Datasource does not premit $1 access to table "$2"
#define	R_MultiLinkCorrupted -2321	//!< Multi-link object is corrupted
#define	R_ObjectNotOpen -2322	//!< Object has not yet been opened
#define	R_RecordCoordsInvalid -2323	//!< Record coordinates invalid
#define	R_ShapeLinkNotFound -2324	//!< Specified shape link file does not exist
#define	R_InvalidGeometricTable -2325	//!< Cannot perform spatial search on table
#define	ESPATMOD_CantDetermineProcOrder -2600	//!< Unable to determine suitable order for processing image.
#define	ESPATMOD_ZoomNotSupported -2601	//!< Specified zoom factor ($1) not supported by image.
#define	ESPATMOD_SectionDoesNotOverlapImage -2602	//!< Specified section does not overlap image.
#define	ESPATMOD_ImagesNotSameDimensions -2603	//!< Specified images do not all have the same dimensions.
#define	ESPATMOD_PixelTypeNotSupported -2604	//!< Pixel type not supported by pipeline stage.
#define	ESPATMOD_ImageRowOutOfRange -2605	//!< Image row ($1) out of range (0 - $2).
#define	ESPATMOD_NumRowsOutOfRange -2606	//!< Number of rows ($1) out of range (1 - $2).
#define	ESPATMOD_ImageColumnOutOfRange -2607	//!< Image column ($1) out of range (0 - $2).
#define	ESPATMOD_NumColumnsOutOfRange -2608	//!< Number of columns ($1) out of range (1 - $2).
#define	ESPATMOD_ResampleMethodNotSupported -2610	//!< Specified resampling method is not supported.
#define	ESPATMOD_AutoRegNotEnoughGCPs -2611	//!< Not enough control points could be generated by auto-registration.
#define	ESPATMOD_NoValidImageCellsProcessed -2612	//!< No valid image cells processed.
#define	L_RasterTooLarge -2800	//!< Raster is too large for license type
#define	L_VectTooManyPoints -2801	//!< Vector has too many points for license type
#define	L_VectTooManyLines -2802	//!< Vector has too many lines for license type
#define	L_VectTooManyPolys -2803	//!< Vector has too many polygons for license type
#define	L_CADTooManyElems -2804	//!< CAD object has too many elements for license type
#define	L_TINTooManyNodes -2805	//!< TIN object has too many nodes for license type
#define	L_DBTooManyTables -2808	//!< Database has too many tables for license type
#define	L_DBTooManyRecords -2809	//!< Database table has too many records for license type
#define	L_VectTooManyLabels -2810	//!< Vector has too many labels for license type
#define	L_CADTooManyBlocks -2811	//!< CAD object has too many blocks for license type
#define	L_OptNotAvailable -2812	//!< Selected option or feature is not available for this license
#define	L_DispMaxGroups -2816	//!< Maximum allowed number of groups for license type reached
#define	L_DispMaxTotLayers -2817	//!< Maximum allowed number of layers for license type reached
#define	L_DispMaxGrpLayers -2818	//!< Maximum allowed number of layers in single group for license type reached
#define	L_FeatMapMaxClasses -2819	//!< Maximum allowed number of feature mapping classes for license type reached
#define	L_FeatMapMaxFeats -2820	//!< Maximum allowed number of features for license type reached,
#define	L_NoEncryptedSML -2821	//!< Cannot open encrypted SML script in license type
#define	L_ShapeTooManyElements -2822	//!< Shape object has too many elements for license type
#define	L_LidarTooManyPoints -2823	//!< Lidar data has too many points for license type
#define	L_ObjectNotUsable -2899	//!< Object too large to use with this license
#define	EBadComPort -3002	//!< Communication port could not be initialized
#define	ECantInitCom -3003	//!< Unable to initialize communication port "$1"
#define	EComPortShared -3010	//!< Com port is used by another device.
#define	EXYDigPortShareInit -3045	//!< Unable to initialize X-Y digitizer because port is used by another device.
#define	EGPSPortShareInit -3046	//!< Unable to initialize GPS because port is used by another device.
#define	EJobFileBad -3100	//!< Job file is invalid
#define	EJobFileMissingItem -3101	//!< Job file is missing required item
#define	EGPS_NoPortName -3151	//!< No port specified for GPS device
#define	EGPS_MsgInvalid -3152	//!< GPS message invalid
#define	EGPS_MsgCheckSumErr -3153	//!< GPS message checksum error
#define	EGPS_MsgWrong -3154	//!< Incorrect GPS message received
#define	EGPS_CantReadMsg -3155	//!< Unable to read message from GPS, check port settings
#define	EGPS_MsgTooLong -3156	//!< GPS message is too long
#define	EGPS_NoMessage -3157	//!< No message available from GPS or device not setup correctly
#define	EGPS_BadProtocol -3158	//!< Specified GPS protocol invalid or not supported
#define	EGPS_BadLogFile -3159	//!< Specified GPS log file invalid
#define	ENoPrinterDrv -3303	//!< Unable to find printer driver(s)
#define	EBadPrinterTyp -3305	//!< Unknown printer type
#define	EPrtNotSupport -3306	//!< Option not supported for current printer type
#define	ESpecFuncNotDef -3307	//!< Special Function "$1" not defined
#define	EMgdBadFontHandle -3401	//!< Font handle ($1) is out of range <0 - $2>
#define	EMgdCantFindFontOF -3402	//!< Unable to locate outline font file for '$1'
#define	EMgdBadFontFileOF -3403	//!< Outline font file is invalid:
#define	EMgdGlyphNoExist -3404	//!< Specified glyph ($1) does not exist in font
#define	ETTFFileError -3507	//!< Can't read TrueType font
#define	ETTFCantFindFont -3509	//!< Unable to find TrueType font: '$1'
#define	EEXIV2_LibraryError -3550	//!< Exiv2 library error: '$1'
#define	EKPDC_CantInitialize -3570	//!< Unable to Initialize KPDC Library
#define	EGDAL_NullBlockRef -3620	//!< GDAL returned null block reference
#define	EGDAL_CantExportGeoref -3621	//!< GDAL driver for format selected failed to export georeference
#define	EGDAL_InvalidDriver -3622	//!< GDAL driver for format selected not found
#define	EGDAL_CantCreateDataset -3623	//!< GDAL failed to create dataset for export
#define	EGDAL_BlockWriteError -3624	//!< GDAL block write failed
#define	EGDAL_LinkCreationError -3625	//!< Failed to create image link through GDAL
#define	EGDAL_CantReadRasterBand -3626	//!< Failed to read raster band through GDAL
#define	EJP2_BadComponent -3651	//!< Specified JPEG2000 component ($1) out of range <0 - $2>
#define	EJP2_NotRGB -3652	//!< JPEG2000 file does not contain RGB color components
#define	EJP2_BadResLevel -3653	//!< Specified JPEG2000 resolution level ($1) out of range (0 - $2)
#define	EJP2_SourceNotOpen -3654	//!< JPEG2000 source has not yet been opened
#define	EJP2_ResLvlNotOpen -3656	//!< JPEG2000 resolution level has not yet been opened
#define	EJP2_UnknownExceptionOccured -3657	//!< JPEG2000 library generated an unknown exception
#define	EJP2_UnknownInternalError -3658	//!< JPEG2000 library reported an unknown internal error
#define	EJPEG_LibraryError -3675	//!< Jpeg Library Error
#define	ELAS_BadHeader -3690	//!< File is not LAS format or version not supported
#define	ELAS_CantAddPoint -3691	//!< Cannot add point to current LAS file
#define	ELAS_VersionNotSupported -3692	//!< LAS version $1.$2 is not supported
#define	ELAS_PointFormatNotSupported -3693	//!< LAS point format $1 is not supported
#define	ELAS_BadClassDefnFile -3694	//!< Invalid LAS class definition file
#define	ELAS_BadRecordSequence -3695	//!< Attempting to add record out of sequence
#define	ELAS_BadExtFile -3696	//!< LAS Extension file '$1' invalid or not recognized
#define	ELAS_BadVariableRecord -3697	//!< LAS Variable Record content is invalid
#define	ENoXYDigitDev -3901	//!< No X/Y digitizer installed
#define	ECantInitXYDig -3902	//!< Unable to initialize X/Y digitizer
#define	ENoXYDigDriver -3903	//!< No X/Y digitizer selected or unable to access digitizer driver
#define	ENoWintabDriver -3912	//!< No Wintab installed
#define	EWintabIni -3913	//!< Wintab initialization error
#define	EIncompleteSpec -4005	//!< Database specification is incomplete
#define	EBadDLGRecordType -4008	//!< Invalid Optional DLG record type encountered
#define	EBadImportFile -4009	//!< Specified file is not a valid $1 file
#define	EDupTIGERRecordNum -4013	//!< Specified TIGER/Line file has a duplicate record number
#define	EBadTIGERRecordNum -4014	//!< Specified TIGER/Line record does not exist
#define	EBadTIGERTable -4015	//!< Invalid TIGER/Line file format
#define	WUnrecogizedCodeE00 -4018	//!< Unrecognized compression code in ArcInfo E00 file.
#define	EBadFileOrUserFmt -4019	//!< Either file or user-defined format is invalid.
#define	EBadFileImport -4020	//!< File to import is invalid or has unrecognized format
#define	ENoDataForHeader -4022	//!< Unable to locate corresponding data file for header file
#define	EBadMIFElement -4023	//!< MapInfo Interchange Format element is not a valid element
#define	EBadSDTSRecord -4028	//!< Error in SDTS record reading
#define	EBadSDTSSubfield -4029	//!< Error in SDTS subfield reading
#define	ESDTSBadDDSHFile -4032	//!< The Data Dictionary Schema file is invalid.
#define	ESDTSNoRaster -4033	//!< No raster objects in SDTS profile
#define	ESDTSNoRastDef -4034	//!< No SDTS Raster Definition module
#define	ESDTSNoIdentif -4035	//!< No SDTS Identification module
#define	ESDTSNoCatDir -4036	//!< No SDTS Catalog/Directory module
#define	ESDTSNoExternal -4037	//!< No SDTS External Reference module
#define	ESDTSNoInternal -4038	//!< No SDTS Internal Reference module
#define	WAVIRISNoSpectInfo -4043	//!< No AVIRIS spectral information
#define	WAVIRISNoVignetInfo -4044	//!< No AVIRIS vignetting information
#define	WAVIRISNoGeomInfo -4045	//!< No AVIRIS geometrical information
#define	EMapInfoNoGeoref -4048	//!< No MapInfo georeference
#define	EMapInfoNoProj -4049	//!< No MapInfo projection
#define	EMapInfoNoElemFound -4050	//!< No geometric elements found in MapInfo file
#define	ENoHeaderForData -4053	//!< Unable to locate corresponding header file for data file
#define	ECantFindImageFile -4054	//!< Cannot locate image file(s) referenced by header
#define	EFileFmtUnsuppFeat -4055	//!< File format uses unsupported features, contact MicroImages
#define	EECWReadFailed -4056	//!< Error occurred reading from ECW image
#define	ENASAODL_CantParse -4057	//!< Unable to parse Object Definition Language text
#define	EDTEDRastersTooClose -4058	//!< Rasters within 1 degree of one another.
#define	ENotEnoughLinCol -4059	//!< Number of lines and columns in imagery not specified
#define	ENoMrSidECM -4060	//!< LizardTech MrSID Cartridge Manager not found or not installed.
#define	EBadNEFFile -4062	//!< File selected is not a valid NEF file
#define	ENikonReadErr -4063	//!< Nikon library read error (error code $1)
#define	ESRTMUnmatchedTileSizes -4065	//!< Sizes of SRTM tiles do not match
#define	EGoogBadImageGeoref -4066	//!< Google image $1 cannot be georeferenced based on filename
#define	EMrSID_ImageBad -4068	//!< MrSID image is invalid or damaged
#define	EBigTiffWarning -4070	//!< Exported file may exceed size limits of Tiff.  You can try exporting as BigTiff, but not all software supports this format.
#define	EPinmapNoRecordsSel -4500	//!< No records selected by query
#define	EPinmapNoXInQuery -4501	//!< No value for XCoord specified in query
#define	EPinmapNoYInQuery -4502	//!< No value for YCoord specified in query
#define	WThemeNoAttachedAtt -4503	//!< No attachments to selected attribute for current element type
#define	WGeorefMixed -4504	//!< Mixing arbitrarily or nongeoreferenced layers
#define	WCantSaveLayoutTemp -4505	//!< Cannot save layouts with temporary-object layers.
#define	WCantSaveGroupTemp -4507	//!< Cannot save groups with temporary-object layers.
#define	EGRE_TerrainTilesetNotSupportedFor3D -4508	//!< Terrain tileset is not currently supported for 3D rendering.
#define	ENotEnoughPts -5000	//!< Not enough points to add or change the line
#define	WCantChangeLine -5001	//!< Cannot change the line, it intersects with existing line data
#define	WCantDeletePolygon -5002	//!< Cannot delete the polygon, no appropriate lines exist to remove
#define	WCantDeleteBlock -5003	//!< Cannot delete the block, it is inserted into a different block
#define	WCantSplineElement -5004	//!< Cannot generate a spline on a non-line type element
#define	WCantInsertBlock -5005	//!< Cannot insert requested block, it would cause an infinite loop
#define	WCantMoveConnNode -5006	//!< Cannot move connected node, there are other lines attached
#define	ETINInvalidTopology -5007	//!< Invalid TIN topology or integrity error
#define	WTINOutsideHull -5008	//!< Cannot insert new node outside TIN hull
#define	ETINAccuracyError -5009	//!< Accuracy error, increase tolerance
#define	WTINTooFewNodes -5010	//!< Not enough points to build TIN object (minimum 4)
#define	ECantAddLineRecurse -5011	//!< Cannot add line due to intersection complexity with existing data
#define	WCantThinElement -5012	//!< Cannot perform a thin operation on a non-line type element
#define	ECantEditInPlace -5013	//!< Cannot perform an in-place edit on a read only object
#define	WTINNotExists -5015	//!< TIN doesn't exist for given point set
#define	ECantValidate -5017	//!< Cannot validate vector data due to a complex intersection,
#define	WCantNodeToPoint -5018	//!< Cannot convert nodes to points because element ID tables have been disabled
#define	EZeroLengthLine -5019	//!< Zero length line found
#define	WCantMoveNode -5020	//!< Cannot move node, there is an existing node in place
#define	WCantDeleteNode -5021	//!< Cannot delete the node, node lines cannot be joined
#define	WRastTooSmallWarp -5200	//!< Output raster would be too small ($1 x $2).
#define	EFeatmapPolysUnatt -5202	//!< $1 polygon attachments were lost during processing.
#define	WGeorefNotWritable -5204	//!< Selected file is not writable.  To save control points
#define	EAutoClassBadTrMlik -5205	//!< Training set not usable for maximum-likelihood with selected input rasters.
#define	WRegionNoOverlapObj -5206	//!< Region does not overlap selected objects.
#define	WRegionNotOverRast -5207	//!< Region does not overlap raster, no output will be generated.
#define	WGeorefNoOverlap -5208	//!< Selected reference object does not overlap input object(s).
#define	ERgnTooCompToComb -5209	//!< Unable to perform combination for specified regions.
#define	WGeorefRefArbNone -5210	//!< Reference object has arbitrary or no georeference.
#define	ENoToolbarFileSpec -5211	//!< No toolbar filename specified.
#define	ENoKeyPresent -5212	//!< Script requires a valid hardware key to run
#define	EScriptIsKeyLocked -5213	//!< Script is locked to hardware key #$1
#define	EInvalidPassword -5214	//!< Invalid Password
#define	WDisjoinedNetwork -5215	//!< Route between 2 nodes cannot be calculated
#define	EDeviceNotClosed -5216	//!< Device must be closed before this operation can be performed
#define	EWrongNumInputRasters -5217	//!< Incorrect number of input rasters.
#define	ECantSendMail -5221	//!< An Error has occurred while attempting to send the Email
#define	ETooManyElements -5223	//!< Too many elements for specified operation.
#define	EKrigingNoValidCells -5224	//!< No valid cells in kriging result, check Search Distance and other parameters.
#define	EDownloadError -5225	//!< Error occurred during download
#define	ERgnGenAllBoundaryPointsOutside -5300	//!< All boundary points are outside raster.
#define	ERgnGenAllSeedPointsOutside -5301	//!< All seed points are outside raster.
#define	ESML_NotEnoughArgs -5801	//!< Not enough parameters to function $1
#define	ESML_TooManyArgs -5802	//!< Too many parameters to function $1
#define	ESML_BadNumOfArgs -5803	//!< Wrong number of parameters to function $1
#define	ESML_ArgNotRaster -5804	//!< Parameter $1 not a raster variable in call to $2
#define	ESML_ArgNotArray -5805	//!< Parameter $1 not an array in call to $2
#define	ESML_MatNotSquare -5806	//!< Coefficient matrix not square
#define	ESML_MatWrongSize -5807	//!< Array sizes do not match
#define	ESML_ArgNotString -5808	//!< Parameter $1 not a string in call to $2
#define	ESML_ArgNotVar -5809	//!< Parameter $1 not a variable in call to $2
#define	ESML_ArgNotNumber -5810	//!< Parameter $1 not a number in call to $2
#define	ESML_BadParmAssign -5811	//!< Assignment of wrong type to parameter $1
#define	ESML_BadGeoref -5812	//!< Invalid georeference variable in call to $1
#define	ESML_ArgClassMismatch -5813	//!< Class mismatch in argument $1: $2
#define	ESML_ArgNotObject -5814	//!< Parameter $1 not an object in call to $2
#define	ESML_ElementTypeMismatch -5815	//!< Element type incorrect in call to $1
#define	ESML_UndefObject -5816	//!< No object assigned to variable $1
#define	ESML_ArgNotVector -5817	//!< Parameter $1 not a vector in call to $2
#define	ESML_ArgNotCAD -5818	//!< Parameter $1 not a CAD object in call to $2
#define	ESML_ArgNotTIN -5819	//!< Parameter $1 not a TIN object in call to $2
#define	ESML_ArgNotRegion -5820	//!< Parameter $1 not a region in call to $2
#define	ESML_WrongParameterType -5821	//!< Parameter $1 incorrect type in call to $2
#define	ESML_ArgBadNumber -5822	//!< Parameter $1 not a valid value in call to $2
#define	ESML_BadForVar -5823	//!< Invalid variable type for "for" loop: $1
#define	ESML_BadFuncRet -5824	//!< Function $1 has no return value
#define	ESML_BadProcRet -5825	//!< Procedure $1 tries to return a value
#define	ESML_BadRastType -5826	//!< Invalid raster type : "$1"
#define	ESML_CallNesting -5827	//!< Call to $1 nested too deeply
#define	ESML_MatBadSub -5828	//!< Array subscript out of range for array $1
#define	ESML_MatNeed2Sub -5829	//!< 2D array $1 requires 2 subscripts
#define	ESML_MissingQuote -5830	//!< Missing quote
#define	ESML_NameTooLong -5831	//!< Variable name too long
#define	ESML_NonVariable -5832	//!< Attempt to evaluate non-variable $1
#define	ESML_StackOverflow -5833	//!< Out of stack space
#define	ESML_StackUnderflow -5834	//!< Stack underflow (internal error)
#define	ESML_SyntaxError -5836	//!< Syntax error in script
#define	ESML_SyntaxError2 -5837	//!< Syntax error: $1
#define	ESML_BadUnitName -5838	//!< Invalid unit name: $1
#define	ESML_FuncNotAvail -5839	//!< The function $1 is not available in this product
#define	ESML_ClassNotAvail -5840	//!< The class $1 is not available in this product
#define	ESML_FuncNotInLite -5841	//!< The function $1 is not available in license type
#define	ESML_FuncNotInView -5842	//!< The function $1 is not available in TNTview
#define	ESML_FuncException -5843	//!< Invalid memory access calling function $1
#define	ESML_ClassException -5844	//!< Invalid memory access accessing class member $1
#define	ESML_Exception -5845	//!< Invalid memory access
#define	ESML_RetNoMatchProto -5846	//!< Return type does not match prototype
#define	ESML_ParmNoMatchProto -5847	//!< Parameter $1 does not match prototype
#define	ESML_ClassNotAvailableInProduct -5848	//!< Class $1 is not available in $2
#define	ESML_ClassNotAvailableInScriptType -5849	//!< Class $1 is not available in this type of script
#define	ESOA_WMS_BadReply_GetCapabilities -6000	//!< Response from server does not specify WMS Capabilities.
#define	ESOA_WMS_NoLayersSpecified -6001	//!< No WMS layers specified.
#define	ESOA_WMS_NoLayersSpecified_Choose -6002	//!< No WMS layers specified.
#define	ESOA_WMS_LayerNameNotFound -6003	//!< WMS layer '$1' was not found.
#define	ESOA_CantParseServerList -6004	//!< Server list format is invalid or unrecognized.
#define	ESOA_ResultEmpty -6005	//!< Result from server is empty
#define	ESOA_WMS_LayerNoExtentInSuitableCRS -6006	//!< Cannot determine extent for WMS layer '$1'
#define	ESOA_WMS_LayersHaveNoCommonCRS -6007	//!< Specified layers have no common CRS.  Try choosing fewer layers.
#define	ESOA_ArcIMS_LayerNameNotFound -6008	//!< ArcIMS layer '$1' was not found.
#define	ESOA_ArcIMS_BadReply_ServiceInfo -6009	//!< Response from server does not specify ArcIMS SERVICEINFO.
#define	ESOA_ArcIMS_NoLayersSpecified -6010	//!< No ArcIMS layers specified.
#define	ESOA_ArcIMS_NoLayersSpecified_Choose -6011	//!< No ArcIMS layers specified.
#define	EHTTP_UserNamePasswordRequired -7000	//!< Username and password required to connect to server
#define	EHTTP_ProxyUserNamePasswordRequired -7001	//!< Proxy Username and password required to connect to server

// \endif

#endif	// INC_MI32_ERRCODES_H

