/**
 * \file rvc/uidlgdbfieldcolor.h
 * \brief RVC::UI::DLG_DB_FIELD_COLOR definitions
 *
 * \if NODOC
 * $Id: uidlgdbfieldcolor.h_v 1.2 2010/02/22 15:09:44 mju Exp $
 *
 * $Log: uidlgdbfieldcolor.h_v $
 * Revision 1.2  2010/02/22 15:09:44  mju
 * Add settings::v_getObjNameBase.
 *
 * Revision 1.1  2008/09/25 16:05:50  mju
 * Initial revision
 *
 * \endif
**/

#ifndef	INC_RVC_UIDLGDBFIELDCOLOR_H
#define	INC_RVC_UIDLGDBFIELDCOLOR_H

#ifndef	INC_RVC_UIDLGDBFIELDVALUE_H
#include <rvc/uidlgdbfieldvalue.h>
#endif

#ifndef	INC_MGUI_COLORSEL_H
#include <mgui/colorsel.h>
#endif

namespace RVC {
namespace UI {
//=====================================================================================================================

//! Dialog to view or edit "color" field value.
class DLG_DB_FIELD_COLOR : public DLG_DB_FIELD_VALUE {
	public:

		//! Constructor.
		DLG_DB_FIELD_COLOR (
			);

		//! Destructor.
		virtual ~DLG_DB_FIELD_COLOR ();

	private:
		#ifndef GENERATING_DOXYGEN_OUTPUT

		typedef DLG_DB_FIELD_COLOR THISCLASS;

		class SETTINGS : public DLG_DB_FIELD_VALUE::SETTINGS {
			public:
				SETTINGS ();
				const LPOINT2D& GetPosition (
					) const { return (m_Position); }
				bool HasPlacement (
					) const { return (m_Position.x >= 0 && m_Position.y >= 0); }
				void SetPosition (
					INT32 x,
					INT32 y
					) { if (x != m_Position.x || y != m_Position.y) { SetChanged(); m_Position.x = x; m_Position.y = y; } }
			private:
				#ifndef GENERATING_DOXYGEN_OUTPUT
				typedef SETTINGS THISCLASS;
				LPOINT2D m_Position;

				virtual const char* v_GetObjNameBase () const;
				virtual const SERIALIZERITEM* v_SerialGetItemDef () const;
				#endif
			};

		SETTINGS m_Settings;
		MGUI::FORM_COLORSELECTOR m_FormColor;

		// SHELL/DLGSHELL overrides.
		virtual ERRVALUE v_CreateContent ();

		// DLG_DB_FIELD_VALUE overrides.
		virtual ERRVALUE v_GetValue (RVC::DBTABLE::RECORD& record);
		virtual ERRVALUE v_Setup (const RVC::DBTABLE& ObjTable);
		virtual ERRVALUE v_SetValue (const RVC::DBTABLE::RECORD& record);
		virtual void v_UpdateSettings ();
		#endif
	};
//=====================================================================================================================
}	// End namespace UI
}	// End namespace RVC

#endif	// INC_RVC_UIDLGDBFIELDCOLOR_H

