/******************************************************************************
 * \file sml/contexttype.h
 * \brief SML CONTEXTTYPE
 *
 * \if NODOC
 * $Log: contexttype.h_v $
 * Revision 1.5  2012/03/29 18:14:26  mju
 * Fix warning.
 *
 * Revision 1.4  2011/09/06 13:57:09  mju
 * Exclude macro from dox.
 *
 * Revision 1.2  2007/05/08 15:45:39  dwilliss
 * SML namespace
 *
 * Revision 1.1  2007/05/04 23:02:32  dwilliss
 * Initial revision
 *
 * \endif
*****************************************************************************/

#ifndef INC_SML_CONTEXTTYPE_H
#define INC_SML_CONTEXTTYPE_H

#ifndef INC_MI32_STDDEFNS_H
#include <mi32/stddefns.h>
#endif

namespace SML {

enum CONTEXTTYPE {
	CONTEXTTYPE_NONE						= 0,
	CONTEXTTYPE_SML						= 0x00000001,
	CONTEXTTYPE_SelectQuery				= 0x00000002,
	CONTEXTTYPE_StyleQuery				= 0x00000004,
	CONTEXTTYPE_GeoFormula				= 0x00000008,
	CONTEXTTYPE_PinMap					= 0x00000010,
	CONTEXTTYPE_DispLayer				= 0x00000020,
	CONTEXTTYPE_ComputedField			= 0x00000040,
	CONTEXTTYPE_DisplayControlScript	= 0x00000080,
	CONTEXTTYPE_LayerControlScript	= 0x00000100,
	CONTEXTTYPE_ToolScript				= 0x00000200,
	CONTEXTTYPE_MacroScript				= 0x00000400,
	CONTEXTTYPE_TNTsim					= 0x00000800,
	CONTEXTTYPE_ANY						= 0xFFFFFFFF
	};

#ifndef GENERATING_DOXYGEN_OUTPUT
DEFINE_ENUM_OP_BITWISE(CONTEXTTYPE)
#endif

} // end of SML namespace

#define	SMLCONTEXTTYPE_NONE				SML::CONTEXTTYPE_NONE				
#define	SMLCONTEXTTYPE_SML				SML::CONTEXTTYPE_SML				
#define	SMLCONTEXTTYPE_SelectQuery		SML::CONTEXTTYPE_SelectQuery		
#define	SMLCONTEXTTYPE_StyleQuery		SML::CONTEXTTYPE_StyleQuery		
#define	SMLCONTEXTTYPE_GeoFormula		SML::CONTEXTTYPE_GeoFormula		
#define	SMLCONTEXTTYPE_PinMap			SML::CONTEXTTYPE_PinMap			
#define	SMLCONTEXTTYPE_DispLayer		SML::CONTEXTTYPE_DispLayer		
#define	SMLCONTEXTTYPE_ComputedField	SML::CONTEXTTYPE_ComputedField	
#define	SMLCONTEXTTYPE_ANY				SML::CONTEXTTYPE_ANY				

#endif		//  INC_SML_CONTEXTTYPE_H
