/******************************************************************************
 *
 * \file sml/plugin.h
 * \brief SML plugin hooks
 *
 * \if NODOC
 * $Log: plugin.h_v $
 * Revision 1.2  2007/05/08 15:46:13  dwilliss
 * SML namespace
 *
 * Revision 1.1  2007/05/04 21:47:13  dwilliss
 * Initial revision
 *
 * \endif
*/
/*****************************************************************************/

#ifndef INC_SML_PLUGIN_H
#define INC_SML_PLUGIN_H

namespace SML {
	class CONTEXT;
	}

#ifdef SMLPLUGINDLL
extern "C" {

	//!	SML will look for the plugins in a directory called
	//!	(oddly enough) "plugins".  It will load the library, and see
	//!	if it has an SMLPluginInit() function.  If so, it will call
	//!	the Init function when the context is being created.
	//!	Your init function can call context->InstallFunctions()
	//!
	//! (Note, this is only implemented on Windows)
	_declspec(dllexport) void SMLPluginInit(SML::CONTEXT*);

	//! Called when unloading an SML Plugin DLL.
	//!
	//! User defined function called before unloading a DLL when an
	//! SMLCONTEXT is being destroied.
	//!
	//! @see SMLPluginInit()

	_declspec(dllexport) void SMLPluginStop(SML::CONTEXT*);
	}

#endif

#endif		//  INC_SML_PLUGIN_H


